Skip to main content
GET
Shell

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

markets
string[]

Comma separated list of markets. By default all markets are returned.

exchange
string

Unique name of an exchange.

type
enum<string>

Return markets of the specified instrument type.

Available options:
spot,
future,
option
base
string

Base asset of markets.

quote
string

Quote asset of markets.

asset
string

Any asset of markets.

symbol
string

Symbol of derivative markets, full instrument name.

include
string[]

Comma separated list of fields to include in response. Supported values are trades, orderbooks, quotes, funding_rates, openinterest, liquidations. Included by default if omitted.

exclude
string[]

Comma separated list of fields to exclude from response. Supported values are trades, orderbooks, quotes, funding_rates, openinterest, liquidations. Included by default if omitted.

format
string
default:json

Format of the response. Supported values are json, json_stream.

limit
string
default:none

Limit of response items. none means no limit. Maximum value is 100.

pretty
boolean
default:false

Human-readable formatting of JSON responses.

Response

List of markets.

List of markets.

data
object[]
required